Bug 18376 - Cannot open local connections as non-root user
Cannot open local connections as non-root user
Status: CLOSED DUPLICATE of bug 17432
Product: Red Hat Linux
Classification: Retired
Component: mysql (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Macdonald
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-04 23:23 EDT by Damien Miller
Modified: 2007-04-18 12:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-04 23:23:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damien Miller 2000-10-04 23:23:34 EDT
Trying to connect to a local mysql server fails as a non-root user.

The /var/lib/mysql directory is mode 0700 and the clients are trying to
open the socket /var/lib/mysql/mysql.sock

Fix: make /var/lib/mysql mode 0711
Comment 1 Daniel Roesen 2000-10-05 07:26:29 EDT

*** This bug has been marked as a duplicate of 17432 ***

Note You need to log in before you can comment on or make changes to this bug.